SDL_SwapFloat(3)

NAME
SDL_SwapFloat - Byte-swap a floating point number.

SYNOPSIS
#include <SDL3/SDL_endian.h>

SDL_FORCE_INLINE float SDL_SwapFloat(float x);

DESCRIPTION
This will always byte-swap the value, whether it's currently in the native byteorder of the system or not. You should use SDL_SwapFloatLE or SDL_SwapFloatBE instead, in most cases.

Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

x   the value to byte-swap.

RETURN VALUE
Returns x, with its bytes in the opposite endian order.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.